<?php

class mm_pagespeed{
  var $folder = 'files/addons/mm_pagespeed/';
  var $css_gz = 'css.css.gzip';
  var $js_gz  = 'js.js.gzip';

  function mm_pagespeed(){
    global $REX;
    
    $this->css = $REX["ADDON"]["mm_pagespeed"]["settings"]["TEXTAREA"][1];
    $this->js  = $REX["ADDON"]["mm_pagespeed"]["settings"]["TEXTAREA"][2];
  
  }
  
  function out(){
    #$this->folder = 'redaxo/'.$this->folder;
    if (file_exists($this->folder.$this->css_gz)) $content = '<link rel="stylesheet" type="text/css" href="'.$this->folder.$this->css_gz.'" media="screen" />';
    if (file_exists($this->folder.$this->js_gz)) $content .= '<script src="'.$this->folder.$this->js_gz.'" type="text/javascript"></script>';
    return $content;
  }
  
  function cache(){
    $this->writeFile($this->css_gz, $this->readFiles($this->css));
    $this->writeFile($this->js_gz, $this->readFiles($this->js));
  }
  
  function readFiles($files){
    $files = explode("\n", $files);
    foreach($files as $file){
      $file = trim('../'.$file);
      if(file_exists($file)) $content .= file_get_contents($file);
      $content .= "\n";
    }
    $content = str_replace('url(', 'url(/'.$REX['HTDOCS_PATH'].str_replace('../', $REX['HTDOCS_PATH'], (dirname($file))).'/', $content);
    return $content;
  }
  
  function writeFile($file, $content){
    if(function_exists('gzencode')) $content = gzencode($content);
    elseif(function_exists('gzdeflate')) $content = gzdeflate($content);
    else $content = $content;
    $file = '../'.$this->folder.$file;
    $fh = fopen($file, 'w+') or die("can't open file");
    fwrite($fh, $content);
    fclose($fh);
  }


}

?>
