<?php
/**
* PageSpeed
*
* @author http://www.metamove.de
* @link   http://www.redaxo.de/180-0-addon-details.html?addon_id=941
*
* @package redaxo4.3
* @version 0.1
* $Id: config.inc.php 86 2010-10-21 14:45:04Z j3ff3 $:
*/

// ERROR_REPORTING
////////////////////////////////////////////////////////////////////////////////
/*ini_set('error_reporting', 'E_ALL');
ini_set('display_errors', 'On');*/

// ADDON IDENTIFIER AUS ORDNERNAMEN ABLEITEN
////////////////////////////////////////////////////////////////////////////////
$myself = explode('/redaxo/include/addons/',str_replace(DIRECTORY_SEPARATOR, '/' ,__FILE__));
$myself = explode('/',$myself[1]);
$myself = $myself[0];
$myroot = $REX['INCLUDE_PATH'].'/addons/'.$myself.'/';

// ADDON VERSION
////////////////////////////////////////////////////////////////////////////////
$Revision = '';
$REX['ADDON'][$myself]['VERSION'] = array
(
'VERSION'      => 0,
'MINORVERSION' => 1,
'SUBVERSION'   => 0
);

// ADDON REX COMMONS
////////////////////////////////////////////////////////////////////////////////
$REX['ADDON']['rxid'][$myself] = '720';
$REX['ADDON']['page'][$myself] = $myself;
$REX['ADDON']['name'][$myself] = 'Page Speed';
$REX['ADDON']['version'][$myself] = implode('.', $REX['ADDON'][$myself]['VERSION']);
$REX['ADDON']['author'][$myself] = 'metamove.de';
$REX['ADDON']['supportpage'][$myself] = 'forum.redaxo.de';
$REX['ADDON']['perm'][$myself] = $myself.'[]';
#$REX['ADDON']['perm'][$myself] = $myself.'[clearcache]';
#$REX['ADDON']['perm'][$myself] = $myself.'[settings]';
$REX['PERM'][] = $myself.'[]';
#$REX['PERM'][] = $myself.'[clearcache]';
$REX['PERM'][] = $myself.'[settings]';

// DYNAMISCHE SETTINGS
////////////////////////////////////////////////////////////////////////////////
/* dynamisch: Werte kommen aus dem "Einstellungen" Formular */
// --- DYN
$REX["ADDON"]["mm_pagespeed"]["settings"]["TEXTAREA"] = array (
  1 => 'files/css/metamove.css',
  2 => 'files/js/jquery-1.4.2.min.js

files/js/jquery.scrollTo-1.4.2-min.js

files/js/dom.js',
);
// --- /DYN

// HIDDEN SETTINGS
////////////////////////////////////////////////////////////////////////////////
$REX['ADDON'][$myself]['settings']['rex_list_pagination'] = 20;

// AUTO INCLUDE FUNCTIONS & CLASSES
////////////////////////////////////////////////////////////////////////////////
if ($REX['REDAXO'])
{
  foreach (glob($myroot.'functions/function.*.inc.php') as $include)
  {
    require_once $include;
  }

  foreach (glob($myroot.'classes/class.*.inc.php') as $include)
  {
    require_once $include;
  }
  
  if($REX['USER']){
  $REX['ADDON'][$myself]['SUBPAGES'][] = array ('clearcache','Cache');
  if($REX['USER']->hasPerm($myself.'[settings]') OR $REX['USER']->isAdmin())
    $REX['ADDON'][$myself]['SUBPAGES'][] = array ('settings','Einstellungen');
  }
}
else{
  require_once($myroot.'classes/class.pagespeed.inc.php');
  require_once($myroot.'functions/function.pagespeed.inc.php');
}


// SUBPAGES
//////////////////////////////////////////////////////////////////////////////
$REX['ADDON'][$myself]['SUBPAGES'] = array (
  //     subpage    ,label                         ,perm   ,params               ,attributes
  array ('settings'         ,'Einstellungen'        ,''     ,''                   ,''),
  #array ('database' ,'Datenbank'                   ,''     ,''                   ,''),
  #array ('modul'    ,'Modul'                       ,''     ,''                   ,''),
  array ('help'     ,'Hilfe'                        ,''     ,''                   ,''),
  #array ('connector','Connector (faceless subpage)',''     ,array('faceless'=>1) ,array('class'=>'jsopenwin'))
);

