<?php
/**
* PageSpeed
*
* @author http://www.metamove.de
* @link   http://www.redaxo.de/180-0-addon-details.html?addon_id=941
*
* @package redaxo4.3
* @version 0.1
* $Id: help.inc.php 83 2010-08-03 14:08:00Z j3ff3 $:
*/



// OUTPUT
////////////////////////////////////////////////////////////////////////////////
?>
<div class="rex-addon-output">
  <h2 class="rex-hl2" style="font-size:1em">Hilfe</h2>
  <div class="rex-addon-content">
    <div class= "addon-template">
      <ol>
        <li>Geben Sie die CSS- und JS-Dateien mit passendem Pfad bei Einstellungen ein. Es reicht der relative Pfad ohne vorgehenden Schrägstrich.<br />Beispiel für CSS Eintragungen:<br />
            <code>
              uploadify/uploadify.css<br />
              template/main.css<br />
            </code>
            Beispiel für JS Eintragungen:<br />
            <code>  
              redaxo/media/jquery.min.js<br />
              uploadify/swfobject.js<br />
              uploadify/jquery.uploadify.v2.1.0.min.js<br />
              template/tsp.js<br />
            </code>
        </li></li>
        <li>Ersetzen Sie in Ihrem Template die Referenzen zu diesen Dateien durch die Funktion mm_pagespeed()</li>
        <li>Ergänzen Sie Ihre .htaccess durch folgenden Code:<br />
            <code>
              RewriteCond %{HTTP:Accept-Encoding} .*gzip.*<br />
              RewriteRule ^js/(.*)\.js$ /scripts/$1.js.gzip [L]<br />
              RewriteRule ^css/(.*)\.css$ /css/$1.css.gzip [L]<br />
              AddEncoding x-gzip text.gzip<br />
            </code>
        </li>
      </ol>
    </div>
  </div>
</div>
